Bug 177248 - (wine-x86_64) lcms 32 bit lib missing in x86_64
lcms 32 bit lib missing in x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-ExcludeArch-x64/F-ExcludeArch-x64
  Show dependency treegraph
 
Reported: 2006-01-08 02:26 EST by Rudolf Kastl
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: wine-0.9.10-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-21 04:40:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudolf Kastl 2006-01-08 02:26:06 EST
Description of problem:
wine-cms on x86_64 rawhide cant be installed

Version-Release number of selected component (if applicable):
wine-0.9.5-1 (32bit) 

How reproducible:
always

Steps to Reproduce:
1. just try to install wine-cms on x86_64 rawhide
2.
3.
  
Actual results:
missing lib dep

Expected results:
lib there

Additional info:
bug probably affects fc4 too.
i am still working on the 64 bit version. making good progress guess i can
provide a building win 64 bit emu soon.
Comment 1 Andreas Bierfert 2006-01-08 03:47:24 EST
Maybe we should leave this open as a x86_64 tracker for wine... ?!
Comment 2 Rudolf Kastl 2006-01-08 04:14:00 EST
wouldnt hurt at all ;)
Comment 3 Rudolf Kastl 2006-01-08 04:19:23 EST
just doing some testing with the 32 bit version on x86_64. i think i came upon a
few problems. just preparing traces etc.

tried:

ultima online mondains legacy: negative
lineage 2 c3 installer: negative
mirc 6.16: positive (but there are a few minor things i want to have cleared)

to give you some details:

mirc
mirc installs but issues several warnings (with popups) i want to investigate.
(of course it installs and runs fine basically).

lineage2 c3
was reported to have install working on fc4 with 0.9.3 see: 
http://appdb.winehq.org/appview.php?versionId=3818 maybe a regression problem...
maybe a x86_64 or rawhide related problem. i dont know yet.

uoml:
not sure yet but doesent install... same trace as with l2 c3

if you happen to be on freenode irc just /msg che hi ;) i can give you some more
details about the stuff.
Comment 4 Rudolf Kastl 2006-02-09 04:18:53 EST
this weekend i am going to take another shot on the x86_64 win64 build of wine.
i will keep you informed about my results in this thread. main package of wine
works nicely congrats for the nice package andreas ;).
Comment 5 Ivan Gyurdiev 2006-03-12 01:33:32 EST
My understanding is that 64-bit wine can't run 32-bit apps (I was told so on
#winehq). So, can 32-bit wine please be included in the 64-bit repo?

Comment 6 Andreas Bierfert 2006-03-21 04:40:57 EST
wine.i386 is in the fedora extras x86_64 tree now... happy yuming...

Note You need to log in before you can comment on or make changes to this bug.